airflow-api
TypeScript icon, indicating that this package has built-in type declarations

0.1.8 • Public • Published

Airflow-API

A Node module for Airflow in Typescript. This uses the experimental Airflow API.

npm version Build Status

Documentation


Prerequisites

  • Node 10+

Installation

Install the dependencies and devDependencies and start the server.

$ npm install --save airflow-api

Usage

  import {client} from 'airflow-api'; or  const CLIENT = require('airflow-api').client;
 
  let _client = new CLIENT||client({
    airflowUrl: 'http://127.0.0.1:8080'
  });
 
  _client.checkTest().then(result => console.log(result)).catch(err => console.error(err));
  

Enums Usage

  import * as AirflowEnum from 'airflow-api/dist/types' or   const AIRFLOW_ENUMS = require('airflow-api/dist/types');

Development

Want to contribute? Great! Make a Pr! Open your favorite Terminal and run these commands.

Building for source

To release in javascript. The output is dumped in the dist folder:

$ npm run build

Testing

  • Uses Jest, Supertest, Chai - Integration Tests needed

    npm test

Changelog

Link

License

Apache-2.0

Author

Peter A. Tariche

Readme

Keywords

Package Sidebar

Install

npm i airflow-api

Weekly Downloads

1

Version

0.1.8

License

Apache-2.0

Unpacked Size

31.1 kB

Total Files

15

Last publish

Collaborators

  • ptariche